Source: lalframe
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 help2man (>= 1.37),
 lal-octave (>= @MIN_LAL_VERSION@~),
 ldas-tools-framecpp-c-dev (>= @MIN_FRAMECPPC_VERSION@),
 libframel-dev (>= @MIN_FRAMEL_VERSION@),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liboctave-dev,
 pkg-config (>= 0.18.0),
 python3-all-dev,
 python3-lal (>= @MIN_LAL_VERSION@~),
 python3-numpy (>= @MIN_NUMPY_VERSION@),
 python3-pytest,
 rsync,
 swig (>= @MIN_SWIG_VERSION@) | swig3.0 (>= @MIN_SWIG_VERSION@),
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8

Package: liblalframe@LIBMAJOR@
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: LSC Algorithm Library Frame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Frame library.
Replaces: lalframe (<< 1.5.2-2~)
Breaks: lalframe (<< 1.5.2-2~)

Package: liblalframe-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ldas-tools-framecpp-c-dev (>= @MIN_FRAMECPPC_VERSION@),
 libframel-dev (>= @MIN_FRAMEL_VERSION@),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liblalframe@LIBMAJOR@ (= ${binary:Version}),
Description: LSC Algorithm Library Frame Developers
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Frame library.
Provides: lalframe-dev (= ${binary:Version})
Replaces: lalframe-dev (<< 1.5.2-2~)
Breaks: lalframe-dev (<< 1.5.2-2~)

Package: lalframe-python3
Depends:
 ${misc:Depends},
 python3-lalframe,
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional package
 lalframe-python3 was renamed python3-lalframe,
 this is a transitional package, it can safely be removed.

Package: python3-lalframe
Section: python
Replaces: lalframe-python3 (<< 1.4.3.1-1~)
Breaks: lalframe-python3 (<< 1.4.3.1-1~)
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 lalframe (= ${binary:Version}),
 python3-lal (>= @MIN_LAL_VERSION@~),
Description: Python 3 bindings for LALFrame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Frame library.

Package: lalframe-octave
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lal-octave (>= @MIN_LAL_VERSION@~),
 lalframe (= ${binary:Version}),
 octave,
Description: Octave bindings for LALFrame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Frame library.

Package: lalframe
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 liblalframe@LIBMAJOR@ (= ${binary:Version}),
 python3-lalframe (= ${binary:Version}),
Description: LSC Algorithm Library Frame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package provides the runtime tools.
